package com.hxhq.business.enums.zykgl;

/**
 * 容器状态：1:未处置 3:已处置
 * @author tanfei
 */
public enum RqztEnum {

    /**
     * 未处置
     */
    wcz(1, "未处置"),

    /**
     * 已处置
     */
    ycz(3, "已处置");

    private int value;
    private String text;

    RqztEnum(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public static RqztEnum getEnumByValue(int type) {
        for (RqztEnum bt : values()) {
            if (bt.value == type) {
                return bt;
            }
        }
        return null;
    }
}
